\documentclass{standalone}

\usepackage{tikz}
 \input{couleur.sty}

\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm]
\clip(-0.25,-0.25) rectangle (2.25,2.25);
\fill[line width=1.5pt,color=B3,fill=B3] (0,0) -- (1,2) -- (2,0) -- cycle;
\draw [line width=1.5pt] (0,0)-- (1,2);
\draw [line width=1.5pt] (0.3926687370800096,1.0536656314599953) -- (0.6073312629199904,0.9463343685400049);
\draw [line width=1.5pt] (1,2)-- (2,0);
\draw [line width=1.5pt] (1.6073312629199905,1.0536656314599953) -- (1.3926687370800097,0.9463343685400049);
\draw [line width=1.5pt] (2,0)-- (0,0);
\end{tikzpicture}
\end{document}